%define builtin_release_version 5 
%define builtin_release_name Carthage
%define builtin_release_variant "9"
%define full_release_version %{builtin_release_version}.%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Enterprise Linux release file
Name: enterprise-release
Version: 5
Release: 9.0.6
Epoch: 6
License: GPL
Group: System Environment/Base
Source: enterprise-release-%{version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws
Obsoletes: redhat-release-de tao-release whitebox-release oracle-release comps rpmdb-redhat 
Obsoletes: anaconda-product

Provides: oracle-release
Requires: oraclelinux-release
Requires: redhat-release  >= 1:

#BuildRequires: oraclelinux-release >= 5-9

BuildRoot: %{_tmppath}/redhat-release-root

%description
System release and information files

%prep
%setup -q -n enterprise-release-%{version}

%%build 
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Enterprise Linux Enterprise Linux Server release %{full_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/enterprise-release
echo "Red Hat Enterprise Linux Server release %{full_release_version} (Tikanga)" > $RPM_BUILD_ROOT/etc/redhat-release
echo "Oracle Linux Server release %{full_release_version}" > $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
#install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/enterprise-release
#%doc R*
%doc EULA GPL enterprisedocs-man.css
%dir /etc/sysconfig/rhn
#%config(noreplace) /etc/sysconfig/rhn/sources
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Fri Jan 11 2013 Tianyue Lan <tianyue.lan@oracle.com> 5-9.0.6
- Correct contents in /etc/issue [16102124] 
- Remove BuildRequires: oraclelinux-release >= 5-9

* Tue Jan 08 2013 Srinivas Maturi <srinivas.maturi@oracle.com> 5-9.0.5
- Update to OL5.9

* Wed Nov 14 2012 Keshav Sharma <keshav.sharma@oracle.com> 5-9.0.4
- Updated 'Requires: redhat-release  >= 1:' and 
- Removed 'Obsoletes redhat-release [orabug 15869883]

* Wed Nov 14 2012 Keshav Sharma <keshav.sharma@oracle.com> 5-9.0.3
- Updated 'Requires: redhat-release >= 1:5' [orabug 15869883]

* Tue Nov 06 2012 Srinivas Maturi <srinivas.maturi@oracle.com> 5-9.0.2
- Remove 'Provides: redhat-release' and
  add 'Requires: redhat-release >= 1:' [orabug 15838613]

* Wed Sep 26 2012 Srinivas Maturi <srinivas.maturi@oracle.com> 5-9.0.1
- Update to OL5.9 Beta

* Sat Feb 25 2012 Tianyue Lan <tianyue.lan@oracle.com> 5-8.0.3
- rebuild with OL5.8 oraclelinux-release 

* Sat Feb 25 2012 Tianyue Lan <tianyue.lan@oracle.com> 5-8.0.2
- Update to OL5.8

* Thu Dec 22 2011 Srinivas Maturi <srinivas.maturi@oracle.com> 5-8.0.1
- Update to OL5.8 Beta

* Mon Jul 25 2011 Tianyue Lan <tianyue.lan@oracle.com> 5-7.0.3
- Update to OL5.7 

* Mon Jun 20 2011 Srinivas Maturi <srinivas.maturi@oracle.com> 5-7.0.2
- Update build dependency on oraclelinux-release package 

* Mon Jun 13 2011 Srinivas Maturi <srinivas.maturi@oracle.com> 5-7.0.1
- Update for OL5 U7Beta

* Tue Jan 18 2011 Kevin Lyons <kevin.x.lyons@oracle.com> 5-6.0.2
- Pull in latest oraclelinux-release package for build
  [bug 11656093]

* Fri Jan 14 2011 Kevin Lyons <kevin.x.lyons@oracle.com> 5-6.0.1
- Update for EL5U6

* Fri Dec 03 2010 Srinivas Maturi <srinivas.maturi@oracle.com> 5-0.0.24
- Add oraclelinux-release as dependency
- use /etc/oracle-release for /etc/issue

* Fri Nov 12 2010 Tianyue Lan <tianyue.lan@oracle.com> 5-0.0.23
- Update for el5u6 beta
- add oracle-release provide

* Tue Mar 30 2010 Srinivas Maturi<srinivas.maturi@oracle.com> 5-0.0.22
- Changes for el5u5 and update EULA and eula.en_US

* Thu Feb 11 2010 Srinivas Maturi<srinivas.maturi@oracle.com> 5-0.0.21
- Update for el5u5 beta

* Tue Sep 07 2009 Keshav Sharma<keshav.sharma@oracle.com> 5-0.0.20
- Updated EULA

* Thu Sep 03 2009 Srinivas Maturi<srinivas.maturi@oracle.com> 5-0.0.19
- Update for el5u4

* Tue Jul 07 2009 Srinivas Maturi<srinivas.maturi@oracle.com> 5-0.0.18
- Update for el5u4 beta

* Wed Jan 21 2009 Mike Xiao<mike.xiao@oracle.com> 5-0.0.17
- Update for el5u3 

* Fri May 23 2008 Keshav Sharma <keshav.sharma@oracle.com> 5-0.0.9
- Update for el5u2 

* Fri Mar 21 2008 Srinivas Maturi <srinivas.maturi@oracle.com> 5-0.0.8
- Update for el5u2 beta

* Wed Nov 14 2007 Srinivas Maturi <srinivas.maturi@oracle.com> 5-0.0.7
- Update for el5u1

* Mon Aug 13 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 5-0.0.6
- Fixed provides problem that allow EL4 version on oracle-validated package
- to install on EL5.

* Mon Jun 25 2007 Srinivas Maturi <Srinivas.Maturi@Oracle.com> 5-0.0.5
- Update new license, EULA and eula.en_US

* Mon Jun 11 2007 Keshav Sharma <keshav.sharma@oracle.com> 5-0.0.4
- Remove release notes from the tar file. There is a separate rpm for release notes.

* Tue Jun  5 2007 Keshav Sharma <keshav.sharma@oracle.com> 5-0.0.3
- Fixed Version to fix ULN registration
- Fixed GPG keys
- added RPM-GPG-KEY for EL4
- Install GPG keys in /etc/pki/rpm-gpg directory

* Wed May 30 2007 Keshav Sharma <keshav.sharma@oracle.com> 5.1-0.0.2
- Fixed Version string in /etc/*releases files
- Removes sources from tarfile

* Sun May 20 2007 Philip Copeland <philip.copeland@oracle.com> 5-0.0.2
- Now the 'whats in a name?' debate,..

* Sun May 20 2007 Philip Copeland <philip.copeland@oracle.com> 5-0.0.1
- EL5 uses a new key
- Some text changes from 4 -> 5

* Mon May  8 2007 Srinivas Maturi <srinivas.maturi@oracle.com> 4-3.7.4
- Update RPM-GPG-KEY and RPM-GPG-KEY-enterprise

* Mon May  7 2007 Philip Copeland <philip.copeland@oracle.com> 4-3.7.3
- Unprintable character on first line made the display drop the first 
  line of the licence agreement and updated release notes.

* Thu Mar 22 2007 Philip Copeland <philip.copeland> 4-3.7.2
- spec file change to mentio this is update 5 not 4

* Mon Dec 11 2006 Philip Copeland <philip.copeland> 4-3.7.1
- Add Provides: redhat-release as some 3rd party packages
  use it as a means to identify RH EL4 instead of /etc/*release

* Tue May 24 2006 Philip Copeland <philip.copeland>
- new license 

* Mon May 22 2006 Philip Copeland <philip.copeland>
- obsolete anacond-product

* Mon May 22 2006 Philip Copeland <philip.copeland>
- Oracleized

* Mon Jan  2 2006 Johnny Hughes <johnny@centos.org>
- Modified to obsolete and provide redhat-release instead
  of just providing it.
- Modified to config(noreplace) /etc/issue and /etc/issue.net

* Sun Oct  9 2005 Johnny Hughes <johnny@centos.org>
- Initial release for CentOS-4.2 Final 

* Sun Apr 10 2005 Johnny Hughes <johnny@centos.org>
- Initial release for CentOS-4.1 final

* Sun Feb 27 2005 Johnny Hughes <johnny@centos.org>
- added new release notes for CentOS-4 final
